#### D.2.10.11 randomLast

Procedure from library `random.lib` (see random_lib).

Usage:
  randomLast(b); b int

Return:
  ideal = maxideal(1), but the last variable is exchanged by a random linear combination of all variables, with coefficients in the interval [-b,b], except for the last variable which always has coefficient 1

Example:

    LIB "random.lib";
    ring  r = 0,(x,y,z),lp;
    ideal i = randomLast(10);
    i;
    ==> i[1]=x
    ==> i[2]=y
    ==> i[3]=-x+z

User manual for Singular version 4.4.1, 2025, generated by texi2html.